Page MenuHomePhabricator

[OpenMP][OMPT] Fix locking testcases for 32 bit architectures (2)
ClosedPublic

Authored by protze.joachim on Feb 21 2019, 6:42 AM.

Details

Summary

https://reviews.llvm.org/D58454 did not fix the problem for a typical use case of building LLVM with gcc or icc and then testing with the newly built clang compiler.
The compiler do not agree on how to extend a 32-bit pointer to uint64, so make the pointer unsigned first, before adjusting the size.

Diff Detail

Repository
rL LLVM

Event Timeline

protze.joachim created this revision.Feb 21 2019, 6:42 AM

This looks sane-ish to me but I'm not really an expert on the topic.

hbae accepted this revision.Feb 25 2019, 1:50 PM

The change looks good to me.

This revision is now accepted and ready to land.Feb 25 2019, 1:50 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 20 2019, 7:19 AM